Bug 845342 - Review Request: rubygem-ruby-hmac - provides common interface to HMAC functionality
Review Request: rubygem-ruby-hmac - provides common interface to HMAC functio...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 845015
  Show dependency treegraph
 
Reported: 2012-08-02 14:05 EDT by Mo Morsi
Modified: 2015-02-17 08:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-08 10:19:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mo Morsi 2012-08-02 14:05:42 EDT
RPM Spec: http://mo.morsi.org/files/rpms/rubygem-ruby-hmac.spec
SRPM: http://mo.morsi.org/files/rpms/rubygem-ruby-hmac-0.4.0-6.fc17.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4351563

Description:

This module provides common interface to HMAC functionality. HMAC is a kind of
"Message Authentication Code" (MAC) algorithm whose standard is documented in
RFC2104. Namely, a MAC provides a way to check the integrity of information
transmitted over or stored in an unreliable medium, based on a secret key.
Originally written by Daiki Ueno. Converted to a RubyGem by Geoffrey
Grosenbach



Obsoletes: rubygem-hmac
Comment 1 Bohuslav "Slavek" Kabrda 2012-08-03 01:45:51 EDT
I'll take it for a review.
Comment 2 Bohuslav "Slavek" Kabrda 2012-08-03 02:05:49 EDT
There are two things that I found wrong on this package:
- Wrong provides/obsoletes. According to [1], they should look like this:

Provides: rubygem(hmac) = %{version}-%{release}
Obsoletes: rubygem(hmac) < 0.4.0-6

- The specfile still has name rubygem-hmac.spec, although it should now be rubygem-ruby-hmac.spec.

Otherwise the package looks good, so it is APPROVED, but please fix the above before comitting to dist-git.

[1] http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages
Comment 3 Mo Morsi 2012-08-07 13:32:44 EDT
Thanks for the review. Incorporated you two points, the updated urls can be found here:

RPM Spec: http://mo.morsi.org/files/rpms/rubygem-ruby-hmac.spec
SRPM: http://mo.morsi.org/files/rpms/rubygem-ruby-hmac-0.4.0-7.fc17.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4366977


New Package SCM Request
=======================
Package Name: rubygem-ruby-hmac
Short Description: Provides common interface to HMAC functionality
Owners: mmorsi
Branches: 
InitialCC:
Comment 4 Gwyn Ciesla 2012-08-07 13:40:34 EDT
Git done (by process-git-requests).

Bohuslav, please take ownership of review BZs.  Thanks!
Comment 5 Mo Morsi 2012-08-08 10:19:12 EDT
rubygem-ruby-hmac has been successfully imported / built for rawhide
Comment 6 Tomas Hrcka 2015-02-17 03:03:01 EST
Package Change Request
======================
Package Name: rubygem-ruby-hmac
New Branches: epel7
Owners: mmorsi humaton

FAS username: humaton
Comment 7 Gwyn Ciesla 2015-02-17 08:48:10 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.